## Index

### Classes

- CombinatorProperties
- ExpandPanelRenderer
- ListWithDetailMasterItem
- MaterialAllOfRenderer
- MaterialAnyOfRenderer
- MaterialAnyOfStringOrEnumControl
- MaterialArrayControlRenderer
- MaterialArrayLayout
- MaterialArrayLayoutRenderer
- MaterialCategorizationLayoutRenderer
- MaterialCategorizationStepperLayoutRenderer
- MaterialDateControl
- MaterialDateTimeControl
- MaterialEnumControl
- MaterialInputControl
- MaterialIntegerControl
- MaterialListWithDetailRenderer
- MaterialNativeControl
- MaterialNumberControl
- MaterialObjectRenderer
- MaterialOneOfRenderer
- MaterialRadioGroupControl
- MaterialSliderControl
- MaterialTableControl
- MaterialTextControl
- NonEmptyCellInner

### Interfaces

- ArrayLayoutToolbarProps
- CategorizationState
- CategorizationStepperState
- CombinatorPropertiesProps
- DateControl
- DeleteDialogProps
- DispatchPropsOfExpandPanel
- EmptyTableProps
- ExpandPanelProps
- ListWithDetailMasterItemProps
- MaterialAnyOfState
- MaterialArrayLayoutState
- MaterialCategorizationLayoutRendererProps
- MaterialCategorizationStepperLayoutRendererProps
- MaterialLayoutRendererProps
- MaterialListWithDetailRendererState
- MaterialOneOfState
- MaterialTableToolbarProps
- NonEmptyCellProps
- NonEmptyRowProps
- OwnPropsOfExpandPanel
- OwnPropsOfMasterListItem
- OwnPropsOfNonEmptyCell
- StatePropsOfDateControl
- StatePropsOfExpandPanel
- StatePropsOfMasterItem
- TableHeaderCellProps
- TableRowsProp
- ValidationProps
- WithDeleteDialogSupport
- WithInput

### Variables

- ArrayLayoutToolbar
- ConnectedExpandPanelRenderer
- ConnectedListWithDetailMasterItem
- ConnectedMaterialAllOfRenderer
- ConnectedMaterialAnyOfRenderer
- ConnectedMaterialArrayLayoutRenderer
- ConnectedMaterialBooleanControl
- ConnectedMaterialHorizontalLayoutRendered
- ConnectedMaterialListWithDetailRenderer
- ConnectedMaterialObjectRenderer
- ConnectedMaterialOneOfRenderer
- DeleteDialog
- GroupComponent
- NonEmptyCell
- NonEmptyRow
- TableHeaderCell
- TableToolbar
- groupTester
- isSingleLevelCategorization
- materialAllOfControlTester
- materialAnyOfControlTester
- materialAnyOfStringOrEnumControlTester
- materialArrayControlTester
- materialArrayLayoutTester
- materialBooleanCellTester
- materialBooleanControlTester
- materialCategorizationStepperTester
- materialCategorizationTester
- materialCells
- materialDateCellTester
- materialDateControlTester
- materialDateTimeControlTester
- materialEnumCellTester
- materialEnumControlTester
- materialGroupTester
- materialHorizontalLayoutTester
- materialIntegerCellTester
- materialIntegerControlTester
- materialLabelRendererTester
- materialListWithDetailTester
- materialNativeControlTester
- materialNumberCellTester
- materialNumberControlTester
- materialNumberFormatCellTester
- materialObjectControlTester
- materialOneOfControlTester
- materialRadioGroupControlTester
- materialRenderers
- materialSliderControlTester
- materialTextCellTester
- materialTextControlTester
- materialTimeCellTester
- materialVerticalLayoutTester
- simpleAnyOf

### Functions

- EmptyTable
- MaterialBooleanCell
- MaterialBooleanControl
- MaterialDateCell
- MaterialEnumCell
- MaterialHorizontalLayoutRenderer
- MaterialIntegerCell
- MaterialLabelRenderer
- MaterialLayoutRenderer
- MaterialNumberCell
- MaterialNumberFormatCell
- MaterialTextCell
- MaterialTimeCell
- MaterialVerticalLayoutRenderer
- MaterializedGroupLayoutRenderer
- MuiAutocompleteInputText
- MuiCheckbox
- MuiInputInteger
- MuiInputNumber
- MuiInputNumberFormat
- MuiInputText
- MuiInputTime
- MuiSelect
- NoBorderTableCell
- TableRows
- ValidationIcon
- addLabelProps
- controlWithoutLabel
- findEnumSchema
- findTextSchema
- generateCells
- getValidColumnProps
- hasEnumAndText
- isLayout
- mapDispatchToExpandPanelProps
- mapStateToCategorizationProps
- mapStateToExpandPanelProps
- mapStateToMasterListItemProps
- mapStateToNonEmptyCellProps
- renderLayoutElements

### Object literals

- iconStyle
- paperStyle
- style
- styles

## Variables

### Const ArrayLayoutToolbar

ArrayLayoutToolbar: MemoExoticComponent<(Anonymous function)> = React.memo(({label,errors,addItem,path,createDefault}: ArrayLayoutToolbarProps) => {return (<Toolbar><Grid container alignItems='center' justify='space-between'><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Hidden smUp={errors.length === 0}><Grid item><ValidationIcon id='tooltip-validation' errorMessages={errors} /></Grid></Hidden><Grid item><Grid container><Grid item><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefault())}><AddIcon /></IconButton></Tooltip></Grid></Grid></Grid></Grid></Toolbar>);})

- Defined in layouts/ArrayToolbar.tsx:15

### Const ConnectedExpandPanelRenderer

ConnectedExpandPanelRenderer: ComponentClass<object & OwnPropsOfExpandPanel, any> & object & object = connect(mapStateToExpandPanelProps,mapDispatchToExpandPanelProps)(ExpandPanelRenderer)

- Defined in layouts/MaterialArrayLayout.tsx:266

### Const ConnectedListWithDetailMasterItem

ConnectedListWithDetailMasterItem: ComponentClass<object & OwnPropsOfMasterListItem, any> & object & object = connect(mapStateToMasterListItemProps)(ListWithDetailMasterItem)

- Defined in additional/MaterialListWithDetailRenderer.tsx:234

### Const ConnectedMaterialAllOfRenderer

ConnectedMaterialAllOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToAllOfProps)(MaterialAllOfRenderer)

- Defined in complex/MaterialAllOfRenderer.tsx:72

### Const ConnectedMaterialAnyOfRenderer

ConnectedMaterialAnyOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToAnyOfProps)(MaterialAnyOfRenderer)

- Defined in complex/MaterialAnyOfRenderer.tsx:97

### Const ConnectedMaterialArrayLayoutRenderer

ConnectedMaterialArrayLayoutRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToArrayLayoutProps,mapDispatchToArrayControlProps)(MaterialArrayLayoutRenderer)

- Defined in layouts/MaterialArrayLayoutRenderer.tsx:63

### Const ConnectedMaterialBooleanControl

ConnectedMaterialBooleanControl: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToControlProps,mapDispatchToControlProps)(MaterialBooleanControl)

- Defined in controls/MaterialBooleanControl.tsx:62

### Const ConnectedMaterialHorizontalLayoutRendered

ConnectedMaterialHorizontalLayoutRendered: ComponentClass<object & OwnPropsOfJsonFormsRenderer, any> & object & object = connect(mapStateToLayoutProps)(MaterialHorizontalLayoutRenderer)

- Defined in layouts/MaterialHorizontalLayout.tsx:60

### Const ConnectedMaterialListWithDetailRenderer

ConnectedMaterialListWithDetailRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToArrayLayoutProps,mapDispatchToArrayControlProps)(MaterialListWithDetailRenderer)

- Defined in additional/MaterialListWithDetailRenderer.tsx:148

### Const ConnectedMaterialObjectRenderer

ConnectedMaterialObjectRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToControlWithDetailProps,mapDispatchToControlProps)(MaterialObjectRenderer)

- Defined in complex/MaterialObjectRenderer.tsx:70

### Const ConnectedMaterialOneOfRenderer

ConnectedMaterialOneOfRenderer: ComponentClass<object & OwnPropsOfControl, any> & object & object = connect(mapStateToOneOfProps,mapDispatchToControlProps)(MaterialOneOfRenderer)

- Defined in complex/MaterialOneOfRenderer.tsx:164

### Const DeleteDialog

DeleteDialog: MemoExoticComponent<(Anonymous function)> = React.memo(({ open, onClose, onConfirm, onCancel }: DeleteDialogProps) => {return (<Dialogopen={open}keepMountedonClose={onClose}aria-labelledby='alert-dialog-confirmdelete-title'aria-describedby='alert-dialog-confirmdelete-description'><DialogTitle id='alert-dialog-confirmdelete-title'>{'Confirm Deletion'}</DialogTitle><DialogContent><DialogContentText id='alert-dialog-confirmdelete-description'>Are you sure you want to delete the selected entry?</DialogContentText></DialogContent><DialogActions><Button onClick={onCancel} color='primary'>No</Button><Button onClick={onConfirm} color='primary'>Yes</Button></DialogActions></Dialog>);})

- Defined in complex/DeleteDialog.tsx:46

### Const GroupComponent

GroupComponent: MemoExoticComponent<(Anonymous function)> = React.memo((props: MaterialLayoutRendererProps) => {const { visible, uischema } = props;const groupLayout = uischema as GroupLayout;return (<Hidden xsUp={!visible}><Card style={style}>{!isEmpty(groupLayout.label) && (<CardHeader title={groupLayout.label} />)}<CardContent><MaterialLayoutRenderer {...props} /></CardContent></Card></Hidden>);})

- Defined in layouts/MaterialGroupLayout.tsx:64

### Const NonEmptyCell

NonEmptyCell: ComponentClass<object & OwnPropsOfNonEmptyCell, any> & object & object = connect(mapStateToNonEmptyCellProps)(NonEmptyCellInner)

- Defined in complex/MaterialTableControl.tsx:199

### Const NonEmptyRow

NonEmptyRow: MemoExoticComponent<(Anonymous function)> = React.memo(({childPath,schema,rowData,openDeleteDialog}: NonEmptyRowProps & WithDeleteDialogSupport) => (<TableRow key={childPath} hover>{generateCells(NonEmptyCell, schema, childPath)}<NoBorderTableCell style={styles.fixedCell}><div style={{ display: 'flex', justifyContent: 'center' }}><IconButtonaria-label={`Delete`}onClick={() => openDeleteDialog(childPath, rowData)}><DeleteIcon /></IconButton></div></NoBorderTableCell></TableRow>))

- Defined in complex/MaterialTableControl.tsx:207

### Const TableHeaderCell

TableHeaderCell: MemoExoticComponent<(Anonymous function)> = React.memo(({ propName }: TableHeaderCellProps) => (<TableCell>{startCase(propName)}</TableCell>))

- Defined in complex/MaterialTableControl.tsx:126

### Const TableToolbar

TableToolbar: MemoExoticComponent<(Anonymous function)> = React.memo(({ numColumns, errors, label, path, addItem, schema }: MaterialTableToolbarProps) => (<TableRow><NoBorderTableCell colSpan={numColumns}><Gridcontainerjustify={'flex-start'}alignItems={'center'}spacing={16}><Grid item><Typography variant={'h6'}>{label}</Typography></Grid><Grid item><Hidden smUp={errors.length === 0}><Grid item><ValidationIconid='tooltip-validation'errorMessages={errors}/></Grid></Hidden></Grid></Grid></NoBorderTableCell><NoBorderTableCell><Tooltipid='tooltip-add'title={`Add to ${label}`}placement='bottom'><IconButtonaria-label={`Add to ${label}`}onClick={addItem(path, createDefaultValue(schema))}><AddIcon/></IconButton></Tooltip></NoBorderTableCell></TableRow>))

- Defined in complex/TableToolbar.tsx:46

### Const groupTester

groupTester: RankedTester = rankWith(1, uiTypeIs('Group'))

- Defined in layouts/MaterialGroupLayout.tsx:43

### Const isSingleLevelCategorization

isSingleLevelCategorization: Tester = and(uiTypeIs('Categorization'),(uischema: UISchemaElement): boolean => {const categorization = uischema as Categorization;return categorization.elements && categorization.elements.reduce((acc, e) => acc && e.type === 'Category', true);})

- Defined in layouts/MaterialCategorizationLayout.tsx:47

### Const materialAllOfControlTester

materialAllOfControlTester: RankedTester = rankWith(2, isAllOfControl)

- Defined in complex/MaterialAllOfRenderer.tsx:76

### Const materialAnyOfControlTester

materialAnyOfControlTester: RankedTester = rankWith(2, isAnyOfControl)

- Defined in complex/MaterialAnyOfRenderer.tsx:101

### Const materialAnyOfStringOrEnumControlTester

materialAnyOfStringOrEnumControlTester: RankedTester = rankWith(5,simpleAnyOf)

- Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:128

### Const materialArrayControlTester

materialArrayControlTester: RankedTester = rankWith(3,or(isObjectArrayControl, isPrimitiveArrayControl))

- Defined in complex/index.ts:46

### Const materialArrayLayoutTester

materialArrayLayoutTester: RankedTester = rankWith(4, isObjectArrayWithNesting)

- Defined in layouts/MaterialArrayLayoutRenderer.tsx:71

### Const materialBooleanCellTester

materialBooleanCellTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in cells/MaterialBooleanCell.tsx:42

### Const materialBooleanControlTester

materialBooleanControlTester: RankedTester = rankWith(2,isBooleanControl)

- Defined in controls/MaterialBooleanControl.tsx:66

### Const materialCategorizationStepperTester

materialCategorizationStepperTester: RankedTester = rankWith(2,and(uiTypeIs('Categorization'),categorizationHasCategory,optionIs('variant', 'stepper')))

- Defined in layouts/MaterialCategorizationStepperLayout.tsx:48

### Const materialCategorizationTester

materialCategorizationTester: RankedTester = rankWith(1, isSingleLevelCategorization)

- Defined in layouts/MaterialCategorizationLayout.tsx:56

### Const materialCells

materialCells: JsonFormsCellRendererRegistryEntry[] = [{ tester: materialBooleanCellTester, cell: MaterialBooleanCell },{ tester: materialDateCellTester, cell: MaterialDateCell },{ tester: materialEnumCellTester, cell: MaterialEnumCell },{ tester: materialIntegerCellTester, cell: MaterialIntegerCell },{ tester: materialNumberCellTester, cell: MaterialNumberCell },{ tester: materialNumberFormatCellTester, cell: MaterialNumberFormatCell },{ tester: materialTextCellTester, cell: MaterialTextCell },{ tester: materialTimeCellTester, cell: MaterialTimeCell }]

- Defined in index.ts:163

### Const materialDateCellTester

materialDateCellTester: RankedTester = rankWith(2, isDateControl)

- Defined in cells/MaterialDateCell.tsx:54

### Const materialDateControlTester

materialDateControlTester: RankedTester = rankWith(4, isDateControl)

- Defined in controls/MaterialDateControl.tsx:158

### Const materialDateTimeControlTester

materialDateTimeControlTester: RankedTester = rankWith(2, isDateTimeControl)

- Defined in controls/MaterialDateTimeControl.tsx:108

### Const materialEnumCellTester

materialEnumCellTester: RankedTester = rankWith(2, isEnumControl)

- Defined in cells/MaterialEnumCell.tsx:47

Default tester for enum controls.

type

  {RankedTester}

### Const materialEnumControlTester

materialEnumControlTester: RankedTester = rankWith(2,isEnumControl)

- Defined in controls/MaterialEnumControl.tsx:50

### Const materialGroupTester

materialGroupTester: RankedTester = withIncreasedRank(1,groupTester)

- Defined in layouts/MaterialGroupLayout.tsx:83

### Const materialHorizontalLayoutTester

materialHorizontalLayoutTester: RankedTester = rankWith(2,uiTypeIs('HorizontalLayout'))

- Defined in layouts/MaterialHorizontalLayout.tsx:41

Default tester for a horizontal layout.

type

  {RankedTester}

### Const materialIntegerCellTester

materialIntegerCellTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in cells/MaterialIntegerCell.tsx:41

### Const materialIntegerControlTester

materialIntegerControlTester: RankedTester = rankWith(2,isIntegerControl)

- Defined in controls/MaterialIntegerControl.tsx:50

### Const materialLabelRendererTester

materialLabelRendererTester: RankedTester = rankWith(1, uiTypeIs('Label'))

- Defined in additional/MaterialLabelRenderer.tsx:45

Default tester for a label.

type

  {RankedTester}

### Const materialListWithDetailTester

materialListWithDetailTester: RankedTester = rankWith(4,and(uiTypeIs('ListWithDetail'), isObjectArray))

- Defined in additional/MaterialListWithDetailRenderer.tsx:157

### Const materialNativeControlTester

materialNativeControlTester: RankedTester = rankWith(2,or(isDateControl, isTimeControl))

- Defined in controls/MaterialNativeControl.tsx:88

### Const materialNumberCellTester

materialNumberCellTester: RankedTester = rankWith(2,isNumberControl)

- Defined in cells/MaterialNumberCell.tsx:45

Default tester for number controls.

type

  {RankedTester}

### Const materialNumberControlTester

materialNumberControlTester: RankedTester = rankWith(2,isNumberControl)

- Defined in controls/MaterialNumberControl.tsx:50

### Const materialNumberFormatCellTester

materialNumberFormatCellTester: RankedTester = rankWith(4,isNumberFormatControl)

- Defined in cells/MaterialNumberFormatCell.tsx:46

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialObjectControlTester

materialObjectControlTester: RankedTester = rankWith(2, isObjectControl)

- Defined in complex/MaterialObjectRenderer.tsx:75

### Const materialOneOfControlTester

materialOneOfControlTester: RankedTester = rankWith(3, isOneOfControl)

- Defined in complex/MaterialOneOfRenderer.tsx:169

### Const materialRadioGroupControlTester

materialRadioGroupControlTester: RankedTester = rankWith(2, optionIs('format', 'radio'))

- Defined in controls/MaterialRadioGroupControl.tsx:109

### Const materialRenderers

materialRenderers: JsonFormsRendererRegistryEntry[] = [// controls{tester: materialArrayControlTester,renderer: MaterialArrayControlRenderer},{ tester: materialBooleanControlTester, renderer: MaterialBooleanControl },{ tester: materialNativeControlTester, renderer: MaterialNativeControl },{ tester: materialEnumControlTester, renderer: MaterialEnumControl },{ tester: materialIntegerControlTester, renderer: MaterialIntegerControl },{ tester: materialNumberControlTester, renderer: MaterialNumberControl },{ tester: materialTextControlTester, renderer: MaterialTextControl },{ tester: materialDateTimeControlTester, renderer: MaterialDateTimeControl },{ tester: materialDateControlTester, renderer: MaterialDateControl },{ tester: materialSliderControlTester, renderer: MaterialSliderControl },{ tester: materialObjectControlTester, renderer: MaterialObjectRenderer },{ tester: materialAllOfControlTester, renderer: MaterialAllOfRenderer },{ tester: materialAnyOfControlTester, renderer: MaterialAnyOfRenderer },{ tester: materialOneOfControlTester, renderer: MaterialOneOfRenderer },{tester: materialRadioGroupControlTester,renderer: MaterialRadioGroupControl},// layouts{ tester: materialGroupTester, renderer: MaterialGroupLayout },{tester: materialHorizontalLayoutTester,renderer: MaterialHorizontalLayout},{ tester: materialVerticalLayoutTester, renderer: MaterialVerticalLayout },{tester: materialCategorizationTester,renderer: MaterialCategorizationLayout},{tester: materialCategorizationStepperTester,renderer: MaterialCategorizationStepperLayout},{ tester: materialArrayLayoutTester, renderer: MaterialArrayLayout },// additional{ tester: materialLabelRendererTester, renderer: MaterialLabelRenderer },{tester: materialListWithDetailTester,renderer: MaterialListWithDetailRenderer},{tester: materialAnyOfStringOrEnumControlTester,renderer: MaterialAnyOfStringOrEnumControl}]

- Defined in index.ts:112

### Const materialSliderControlTester

materialSliderControlTester: RankedTester = rankWith(4, isRangeControl)

- Defined in controls/MaterialSliderControl.tsx:121

### Const materialTextCellTester

materialTextCellTester: RankedTester = rankWith(1,isStringControl)

- Defined in cells/MaterialTextCell.tsx:46

Default tester for text-based/string controls.

type

  {RankedTester}

### Const materialTextControlTester

materialTextControlTester: RankedTester = rankWith(1,isStringControl)

- Defined in controls/MaterialTextControl.tsx:50

### Const materialTimeCellTester

materialTimeCellTester: RankedTester = rankWith(2, isTimeControl)

- Defined in cells/MaterialTimeCell.tsx:41

### Const materialVerticalLayoutTester

materialVerticalLayoutTester: RankedTester = rankWith(1, uiTypeIs('VerticalLayout'))

- Defined in layouts/MaterialVerticalLayout.tsx:41

Default tester for a vertical layout.

type

  {RankedTester}

### Const simpleAnyOf

simpleAnyOf: function = and(uiTypeIs('Control'),schemaMatches(schema => schema.hasOwnProperty('anyOf') && hasEnumAndText(schema.anyOf)))

- Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:122

#### Type declaration

- - (uischema: UISchemaElement, schema: JsonSchema): boolean

  - #### Parameters

    - ##### uischema: UISchemaElement

    - ##### schema: JsonSchema

    #### Returns boolean

## Functions

### Const EmptyTable

- EmptyTable(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:114

  #### Parameters

  - ##### __namedParameters: object

    - ##### numColumns: number

  #### Returns Element

### Const MaterialBooleanCell

- MaterialBooleanCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialBooleanCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialBooleanControl

- MaterialBooleanControl(__namedParameters: object): Element

- - Defined in controls/MaterialBooleanControl.tsx:40

  #### Parameters

  - ##### __namedParameters: object

    - ##### id: string

    - ##### label: string | Labels

    - ##### props: props

    - ##### visible: boolean

  #### Returns Element

### Const MaterialDateCell

- MaterialDateCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialDateCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialEnumCell

- MaterialEnumCell(props: EnumCellProps & WithClassname): Element

- - Defined in cells/MaterialEnumCell.tsx:39

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MaterialHorizontalLayoutRenderer

- MaterialHorizontalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialHorizontalLayout.tsx:46

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialIntegerCell

- MaterialIntegerCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialIntegerCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialLabelRenderer

- MaterialLabelRenderer(__namedParameters: object): Element

- - Defined in additional/MaterialLabelRenderer.tsx:50

  Default renderer for a label.

  #### Parameters

  - ##### __namedParameters: object

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterialLayoutRenderer

- MaterialLayoutRenderer(__namedParameters: object): Element

- - Defined in util/layout.tsx:60

  #### Parameters

  - ##### __namedParameters: object

    - ##### direction: "column" | "row"

    - ##### elements: UISchemaElement[]

    - ##### path: string

    - ##### renderers: JsonFormsRendererRegistryEntry[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### visible: boolean

  #### Returns Element

### Const MaterialNumberCell

- MaterialNumberCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialNumberCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialNumberFormatCell

- MaterialNumberFormatCell(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in cells/MaterialNumberFormatCell.tsx:39

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MaterialTextCell

- MaterialTextCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialTextCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialTimeCell

- MaterialTimeCell(props: CellProps & WithClassname): Element

- - Defined in cells/MaterialTimeCell.tsx:38

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MaterialVerticalLayoutRenderer

- MaterialVerticalLayoutRenderer(__namedParameters: object): Element

- - Defined in layouts/MaterialVerticalLayout.tsx:43

  #### Parameters

  - ##### __namedParameters: object

    - ##### path: string

    - ##### renderers: any[]

    - ##### schema: JsonSchema4 | JsonSchema7

    - ##### uischema: UISchemaElement

    - ##### visible: boolean

  #### Returns Element

### Const MaterializedGroupLayoutRenderer

- MaterializedGroupLayoutRenderer(props: StatePropsOfLayout): Element

- - Defined in layouts/MaterialGroupLayout.tsx:46

  #### Parameters

  - ##### props: StatePropsOfLayout

  #### Returns Element

### Const MuiAutocompleteInputText

- MuiAutocompleteInputText(props: EnumCellProps & WithClassname): Element

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:54

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const MuiCheckbox

- MuiCheckbox(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiCheckbox.tsx:32

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputInteger

- MuiInputInteger(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputInteger.tsx:32

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputNumber

- MuiInputNumber(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputNumber.tsx:29

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputNumberFormat

- MuiInputNumberFormat(props: CellProps & WithClassname & Formatted<number>): Element

- - Defined in mui-controls/MuiInputNumberFormat.tsx:33

  #### Parameters

  - ##### props: CellProps & WithClassname & Formatted<number>

  #### Returns Element

### Const MuiInputText

- MuiInputText(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputText.tsx:33

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiInputTime

- MuiInputTime(props: CellProps & WithClassname): Element

- - Defined in mui-controls/MuiInputTime.tsx:32

  #### Parameters

  - ##### props: CellProps & WithClassname

  #### Returns Element

### Const MuiSelect

- MuiSelect(props: EnumCellProps & WithClassname): Element

- - Defined in mui-controls/MuiSelect.tsx:34

  #### Parameters

  - ##### props: EnumCellProps & WithClassname

  #### Returns Element

### Const NoBorderTableCell

- NoBorderTableCell(__namedParameters: object): Element

- - Defined in complex/NoBorderTableCell.tsx:35

  #### Parameters

  - ##### __namedParameters: object

    - ##### children: any

    - ##### classes: any

    - ##### otherProps: any

  #### Returns Element

### Const TableRows

- TableRows(__namedParameters: object): Element

- - Defined in complex/MaterialTableControl.tsx:232

  #### Parameters

  - ##### __namedParameters: object

    - ##### data: number

    - ##### openDeleteDialog: openDeleteDialog

    - ##### path: string

    - ##### schema: JsonSchema4 | JsonSchema7

  #### Returns Element

### Const ValidationIcon

- ValidationIcon(__namedParameters: object): Element

- - Defined in complex/ValidationIcon.tsx:50

  #### Parameters

  - ##### __namedParameters: object

    - ##### classes: object

    - ##### errorMessages: string

    - ##### id: string

  #### Returns Element

### Const addLabelProps

- addLabelProps(mapStateToProps: function): (Anonymous function)

- - Defined in controls/MaterialDateControl.tsx:138

  #### Parameters

  - ##### mapStateToProps: function

    - - (s: JsonFormsState, p: OwnPropsOfControl): StatePropsOfControl

      - #### Parameters

        - ##### s: JsonFormsState

        - ##### p: OwnPropsOfControl

        #### Returns StatePropsOfControl

  #### Returns (Anonymous function)

### Const controlWithoutLabel

- controlWithoutLabel(scope: string): ControlElement

- - Defined in complex/MaterialTableControl.tsx:163

  #### Parameters

  - ##### scope: string

  #### Returns ControlElement

### Const findEnumSchema

- findEnumSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:47

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const findTextSchema

- findTextSchema(schemas: JsonSchema[]): JsonSchema4 | JsonSchema7

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:51

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns JsonSchema4 | JsonSchema7

### Const generateCells

- generateCells(Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>, schema: JsonSchema, rowPath: string): Element | Element[]

- - Defined in complex/MaterialTableControl.tsx:69

  #### Parameters

  - ##### Cell: React.ComponentType<OwnPropsOfNonEmptyCell | TableHeaderCellProps>

  - ##### schema: JsonSchema

  - ##### rowPath: string

  #### Returns Element | Element[]

### Const getValidColumnProps

- getValidColumnProps(scopedSchema: JsonSchema): string[]

- - Defined in complex/MaterialTableControl.tsx:100

  #### Parameters

  - ##### scopedSchema: JsonSchema

  #### Returns string[]

### Const hasEnumAndText

- hasEnumAndText(schemas: JsonSchema[]): boolean

- - Defined in controls/MaterialAnyOfStringOrEnumControl.tsx:112

  #### Parameters

  - ##### schemas: JsonSchema[]

  #### Returns boolean

### Const isLayout

- isLayout(uischema: UISchemaElement): boolean

- - Defined in complex/CombinatorProperties.tsx:36

  #### Parameters

  - ##### uischema: UISchemaElement

  #### Returns boolean

### Const mapDispatchToExpandPanelProps

- mapDispatchToExpandPanelProps(dispatch: Dispatch<AnyAction>): object

- - Defined in layouts/MaterialArrayLayout.tsx:249

  Maps state to dispatch properties of an expand pandel control.

  #### Parameters

  - ##### dispatch: Dispatch<AnyAction>

    the store's dispatch method

  #### Returns object

  dispatch props of an expand panel control

  - ##### removeItems: function

    - removeItems(path: string, toDelete: number[]): (Anonymous function)
    - - Defined in layouts/MaterialArrayLayout.tsx:250

      #### Parameters

      - ##### path: string

      - ##### toDelete: number[]

      #### Returns (Anonymous function)

### Const mapStateToCategorizationProps

- mapStateToCategorizationProps(state: JsonFormsState, ownProps: OwnPropsOfRenderer): MaterialCategorizationLayoutRendererProps & StatePropsOfLayout
- mapStateToCategorizationProps(state: JsonFormsState, ownProps: OwnPropsOfRenderer): MaterialCategorizationStepperLayoutRendererProps & StatePropsOfLayout

- - Defined in layouts/MaterialCategorizationLayout.tsx:121

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfRenderer

  #### Returns MaterialCategorizationLayoutRendererProps & StatePropsOfLayout

- - Defined in layouts/MaterialCategorizationStepperLayout.tsx:116

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfRenderer

  #### Returns MaterialCategorizationStepperLayoutRendererProps & StatePropsOfLayout

### Const mapStateToExpandPanelProps

- mapStateToExpandPanelProps(state: JsonFormsState, ownProps: OwnPropsOfExpandPanel): StatePropsOfExpandPanel

- - Defined in layouts/MaterialArrayLayout.tsx:209

  Map state to control props.

  #### Parameters

  - ##### state: JsonFormsState

    the store's state

  - ##### ownProps: OwnPropsOfExpandPanel

    any own props

  #### Returns StatePropsOfExpandPanel

  state props for a control

### Const mapStateToMasterListItemProps

- mapStateToMasterListItemProps(state: JsonFormsState, ownProps: OwnPropsOfMasterListItem): StatePropsOfMasterItem

- - Defined in additional/MaterialListWithDetailRenderer.tsx:208

  Map state to control props.

  #### Parameters

  - ##### state: JsonFormsState

    the store's state

  - ##### ownProps: OwnPropsOfMasterListItem

    any own props

  #### Returns StatePropsOfMasterItem

  state props for a control

### Const mapStateToNonEmptyCellProps

- mapStateToNonEmptyCellProps(state: JsonFormsState, ownProps: OwnPropsOfNonEmptyCell): NonEmptyCellProps

- - Defined in complex/MaterialTableControl.tsx:140

  #### Parameters

  - ##### state: JsonFormsState

  - ##### ownProps: OwnPropsOfNonEmptyCell

  #### Returns NonEmptyCellProps

### Const renderLayoutElements

- renderLayoutElements(elements: UISchemaElement[], schema: JsonSchema, path: string, renderers?: JsonFormsRendererRegistryEntry[]): Element[]

- - Defined in util/layout.tsx:36

  #### Parameters

  - ##### elements: UISchemaElement[]

  - ##### schema: JsonSchema

  - ##### path: string

  - ##### Optional renderers: JsonFormsRendererRegistryEntry[]

  #### Returns Element[]

## Object literals

### Const iconStyle

iconStyle: object

- Defined in layouts/MaterialArrayLayout.tsx:61

### float

float: string = "right"

- Defined in layouts/MaterialArrayLayout.tsx:61

### Const paperStyle

paperStyle: object

- Defined in layouts/MaterialArrayLayout.tsx:60

### padding

padding: number = 10

- Defined in layouts/MaterialArrayLayout.tsx:60

### Const style

style: object

- Defined in layouts/MaterialGroupLayout.tsx:45

### marginBottom

marginBottom: string = "10px"

- Defined in layouts/MaterialGroupLayout.tsx:45

### Const styles

- styles(__namedParameters: object): object

- - Defined in complex/ValidationIcon.tsx:39

  #### Parameters

  - ##### __namedParameters: object

    - ##### palette: Palette

  #### Returns object

  - ##### badge: object

    - ##### color: string

### fixedCell

fixedCell: object

- Defined in complex/MaterialTableControl.tsx:60

### height

height: string = "50px"

- Defined in complex/MaterialTableControl.tsx:62

### paddingLeft

paddingLeft: number = 0

- Defined in complex/MaterialTableControl.tsx:63

### paddingRight

paddingRight: number = 0

- Defined in complex/MaterialTableControl.tsx:64

### textAlign

textAlign: string = "center"

- Defined in complex/MaterialTableControl.tsx:65

### width

width: string = "50px"

- Defined in complex/MaterialTableControl.tsx:61

### noBottomBorder

noBottomBorder: object

- Defined in complex/NoBorderTableCell.tsx:30

### borderBottom

borderBottom: string = "none"

- Defined in complex/NoBorderTableCell.tsx:31

Generated using TypeDoc